Base Language - Feature #1980

Feature # 1640 (Closed): implement DOM XML support
runtime support for DOM XML processing
01/29/2013 12:32 PM - Greg Shah

Status: Closed Start date: 04/13/2013
Priority: Normal Due date: 05/17/2013
Assignee: Evgeny Kiselev % Done: 100%
Category: Estimated time: 100.00 hours
Target version: Runtime Support for Server Features

billable: No vendor_id: GCD
Description

History

#1 - 04/13/2013 05:58 PM - Greg Shah

- Assignee set to Evgeny Kiselev

Please put all history entries into the parent task #1640.

#2 - 04/13/2013 09:12 PM - Evgeny Kiselev
- Status changed from New to WIP

#3 - 04/25/2013 10:17 AM - Greg Shah

- Due date set to 05/17/2013

- Start date changed from 01/29/2013 to 04/13/2013
- Estimated time changed from 52.00 to 100.00

#4 - 04/30/2013 09:55 AM - Greg Shah

In regard to memptr, please look at the testcases/uast/memptr/memptr_*.p code. I just checked them into bzr in the p2j_repo/testcases project and
they should give you a good idea of how memptr works. We have an early implementation in com/goldencode/p2j/util/memptr.java, but | am working
#1635 right now to complete the work. The final version will be implemented using a real memory buffer allocated/deallocated via JNI (instead of a
byte[] on the Java heap). | hope to have it done by the end of the week.

#5 - 09/30/2013 09:12 AM - Greg Shah
- % Done changed from 0 to 100
- Status changed from WIP to Closed

#6 - 11/16/2016 11:43 AM - Greg Shah

- Target version changed from Milestone 7 to Runtime Support for Server Features
